Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.notifier
Class JabberNotifierFacade

    java.lang.Object
      com.pmease.quickbuild.notifier.JabberNotifierFacade

All Implemented Interfaces:
  java.io.Serializable

public class JabberNotifierFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for JabberNotifier.

See Also:
  Serialized Form

Constructor Summary
`JabberNotifierFacade()`

Method Summary
`java.lang.String` | `getAdditionalResourceLoaderPath()` QuickBuild uses templates sub directory under its installation directory as the default resource loader path when evaluates Velocity template of this notifier.
`long` | `getJabberPort()` Specify Jabber server port.
`java.lang.String` | `getJabberServer()` Specify Jabber server which QuickBuild connects to and send messages.
`java.lang.String` | `getMessageTemplate()` Specify Velocity template for the notification message.
`java.lang.String` | `getName()` OGNL: Specify name of this notifier.
`java.lang.String` | `getSenderAccount()` OGNL: A Jabber account is needed to send out build notifications.
`java.lang.String` | `getSenderPassword()` OGNL: Specify password for the above sender account.
`boolean` | `isUseSSL()` Whether or not to enable SSL when talk to Jaber server.
`void` | `setAdditionalResourceLoaderPath(java.lang.String additionalResourceLoaderPath)`
`void` | `setJabberPort(long jabberPort)`
`void` | `setJabberServer(java.lang.String jabberServer)`
`void` | `setMessageTemplate(java.lang.String messageTemplate)`
`void` | `setName(java.lang.String name)`
`void` | `setSenderAccount(java.lang.String senderAccount)`
`void` | `setSenderPassword(java.lang.String senderPassword)`
`void` | `setUseSSL(boolean useSSL)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JabberNotifierFacade

    public JabberNotifierFacade()

Method Detail

### getJabberServer

    public java.lang.String getJabberServer()

  Specify Jabber server which QuickBuild connects to and send messages. For example: jabber.org
  NOTE: Connecting through proxy is not yet supported.

### setJabberServer

    public void setJabberServer(java.lang.String jabberServer)

### getJabberPort

    public long getJabberPort()

  Specify Jabber server port.

### setJabberPort

    public void setJabberPort(long jabberPort)

### isUseSSL

    public boolean isUseSSL()

  Whether or not to enable SSL when talk to Jaber server.

### setUseSSL

    public void setUseSSL(boolean useSSL)

### getSenderAccount

    public java.lang.String getSenderAccount()

  OGNL: A Jabber account is needed to send out build notifications. For example: sender. Please be noted that domain suffix should not be specified here.

### setSenderAccount

    public void setSenderAccount(java.lang.String senderAccount)

### getSenderPassword

    public java.lang.String getSenderPassword()

  OGNL: Specify password for the above sender account.

### setSenderPassword

    public void setSenderPassword(java.lang.String senderPassword)

### getMessageTemplate

    public java.lang.String getMessageTemplate()

  Specify Velocity template for the notification message. Two variables are pre-defined: build means current build object, and system means current system object. Refer to user's guide for details.

### setMessageTemplate

    public void setMessageTemplate(java.lang.String messageTemplate)

### getName

    public java.lang.String getName()

  OGNL: Specify name of this notifier.

### setName

    public void setName(java.lang.String name)

### getAdditionalResourceLoaderPath

    public java.lang.String getAdditionalResourceLoaderPath()

  QuickBuild uses templates sub directory under its installation directory as the default resource loader path when evaluates Velocity template of this notifier. However you can specify additional resource loader paths here by inputing one path per line. If paths specified here is not absolute, they will be considered to be relative to current build's artifacts directory. Also OGNL expressions can be inserted in these paths as long as they are encapsulated in ${...}.

### setAdditionalResourceLoaderPath

    public void setAdditionalResourceLoaderPath(java.lang.String additionalResourceLoaderPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.